Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 496392 - media-libs/xine-lib convert to multilib
Summary: media-libs/xine-lib convert to multilib
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on: 497774 497776 557578
Blocks: gx86-multilib 484248 543548
  Show dependency tree
 
Reported: 2013-12-29 13:44 UTC by Julian Ospald
Modified: 2017-02-18 05:06 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2013-12-29 13:44:30 UTC
This sounds very painful... we have quite a shitload of deps to convert afais. Not sure if that will pay off.
Comment 1 Samuli Suominen gentoo-dev 2014-07-10 13:12:43 UTC
What would use multilib xine-lib?

xine-lib is for gxine, xine-ui, vdr-xineliboutput and quodlibet

Rest are somewhat unimportant, and I don't know of any binary-only packages that would require 32bit xine-lib
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-07-10 13:27:57 UTC
At a first glance, opencv & efl are potential future candidates. Also DirectFB if we decide to convert it.
Comment 3 Julian Ospald 2014-07-11 12:49:55 UTC
directfb isn't scheduled for conversion anymore, so I personally don't really care about this currently
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-02-18 05:06:56 UTC
Dropping 484250 as a blocker since FusionSound is part of DirectFB now.